# ***********************************************
# 
# !!!! DO NOT EDIT !!!!
# 
# This file was auto-generated by Build.PL.
# 
# ***********************************************
# 
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=encoding utf8

=head1 NAME

Lucy::Plan::BlobType - Default behaviors for binary fields.

=head1 SYNOPSIS

    my $string_type = Lucy::Plan::StringType->new;
    my $blob_type   = Lucy::Plan::BlobType->new( stored => 1 );
    my $schema      = Lucy::Plan::Schema->new;
    $schema->spec_field( name => 'id',   type => $string_type );
    $schema->spec_field( name => 'jpeg', type => $blob_type );

=head1 DESCRIPTION

BlobType is an implementation of FieldType tuned for use with fields
containing binary data, which cannot be indexed or searched – only stored.

=head1 CONSTRUCTORS

=head2 new

    my $blob_type = Lucy::Plan::BlobType->new(
        stored => 1,  # default: false
    );

Create a new BlobType.

=over

=item *

B<stored> - boolean indicating whether the field should be stored.

=back

=head1 INHERITANCE

Lucy::Plan::BlobType isa L<Lucy::Plan::FieldType> isa Clownfish::Obj.

=cut

